<div>
    <h2>
        <span jhiTranslate="mpmApp.salesTarget.home.title">Sales Targets</span>
        <button class="btn btn-primary float-right jh-create-entity create-sales-target" [routerLink]="['/', { outlets: { popup: ['sales-target-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.salesTarget.home.createLabel">
            Create new Sales Target
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.salesTarget.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="salesTargets">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <!-- <th jhiSortBy="idslstrgt"><span jhiTranslate="mpmApp.salesTarget.idslstrgt">Idslstrgt</span> <span class="fa fa-sort"></span></th> -->
            <th jhiSortBy="idsalesman"><span >Salesman</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="internal"><span >Internal</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="targetsales"><span >Target Sales</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtfrom"><span >Date From</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="dtthru"><span >Date Thru</span> <span class="fa fa-sort"></span></th>
            <th ><span>Aksi</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let salesTarget of salesTargets ;trackBy: trackId">
                <!-- <td><a [routerLink]="['../sales-target', salesTarget.idslstrgt ]">{{salesTarget.idslstrgt}}</a></td> -->
                <td>{{salesTarget.namaSales}}</td>
                <td>{{salesTarget.internal}}</td>
                <td>{{salesTarget.targetsales}}</td>
                <td>{{salesTarget.dtfrom | date:'medium'}}</td>
                <td>{{salesTarget.dtthru | date:'medium'}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <!-- <button type="submit"
                                [routerLink]="['../sales-target', salesTarget.idslstrgt ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button> -->
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'sales-target/'+ salesTarget.idslstrgt + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'sales-target/'+ salesTarget.idslstrgt + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="salesTargets && salesTargets.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
